Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001891OCamlOCaml generalpublic2003-10-23 12:022013-08-31 12:46
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001891: #install_printer
DescriptionFull_Name: Winfried Dreckmann
Version: 3.07-1
OS: Linux PowerPC
Submission from: t3o902p168.telia.com (81.225.156.168)


(1) The #install_printer directive does not recognize modules created in the
toplevel, for instance:

# module Test = struct
      let my_printer f x = Format.fprintf f "%x" x
    end;;
module Test : sig val my_printer : Format.formatter -> int -> unit end
# Test.my_printer;;
- : Format.formatter -> int -> unit = <fun>
# #install_printer Test.my_printer;;
Reference to undefined global `Test'

I remember that this worked in earlier versions of OCaml.

(2) The #install_printer directive also causes trouble if applied to C
externals. The following happens with a function "Printtest.my_printer" written
in C and
used in a customized toplevel:

# #install_printer Printtest.my_printer;;
# "abcde";;
Speicherzugriffsfehler

The C function in this example simply calls "Format.pp_print_string". I am not
sure if C externals are allowed to be printers. I send details if necessary.

Regards,
Winfried Dreckmann

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000185)
administrator (administrator)
2004-02-15 12:09

(1) fixed 2004-02-15 by XL.
(2) it's true that #install_printer currently doesn't support printers that are
declared "external". This doesn't seem too limiting in practice, so I'll leave
it as feature wish rather than as a bug. -XL
(0006818)
doligez (administrator)
2012-01-27 09:33

There doesn't seem to be much demand for this feature, but if someone provides a good patch, we are willing to consider including it.
(0006826)
lefessan (developer)
2012-01-27 14:09

(1) is already fixed.
(2) would need to be tested.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2012-01-27 09:33 doligez Note Added: 0006818
2012-01-27 09:33 doligez Status acknowledged => resolved
2012-01-27 09:33 doligez Resolution open => suspended
2012-01-27 09:33 doligez Description Updated View Revisions
2012-01-27 14:09 lefessan Note Added: 0006826
2013-08-31 12:46 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker